## glfilterglass

glfilterglass — Glass Filter

## Synopsis

    struct              GstGLFilterGlass;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstGLFilter
                               +----GstGLFilterGlass

## Description

Map textures on moving glass.

### Examples

    1

    gst-launch -v videotestsrc ! glupload ! glfilterglass ! glimagesink

A pipeline inspired from http://www.mdk.org.pl/2007/11/17/gl-colorspace-conversions FBO is required.

    1

    gst-launch -v videotestsrc ! glupload ! glfilterglass ! "video/x-raw-gl, width=640, height=480" ! glimagesink

The scene is greater than the input size.

## Synopsis

### Element Information

plugin | opengl
author | Julien Isorce <julien.isorce@gmail.com>
class | Filter/Effect

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw-gl, width=(int)[ 1, 8000 ], height=(int)[ 1, 6000 ], pixel-aspect-ratio=(fraction)1/1, framerate=(fraction)[ 0/1, 100/1 ]

name | src
direction | source
presence | always
details | video/x-raw-gl, width=(int)[ 1, 8000 ], height=(int)[ 1, 6000 ], pixel-aspect-ratio=(fraction)1/1, framerate=(fraction)[ 0/1, 100/1 ]

## Details

### struct GstGLFilterGlass

    struct GstGLFilterGlass;